﻿communityModule.controller('taxNavController', ['$scope', '$rootScope', '$q', '$log', '$timeout', '$state', '$translate', 'projectService', 'SweetAlert', '$stateParams'
    , 'application', 'enums', '$window', '$location',
    function ($scope, $rootScope, $q, $log, $timeout, $state, $translate, projectService, SweetAlert, $stateParams
        , application, enums, $window, $location) {
        'use strict';
        var getMenus = function () {
            $scope.communityMenus = constant.communuityMenus;
        };
        var liLeftStyle = function (type) {
            $('#sidebarShare li').click(function (index, ele) {
                ////$scope.comType = $(this).find('a').attr('code');
                $('#sidebarShare li').each(function (index, ele) {
                    $(this).removeClass("_active");
                });
                $(this).addClass("_active");
            });
            if(type){
                $('#sidebarShare li:eq(0)').click();
                $('.data-import-contents').show()
            }
        };

        var toStyle = function(type){
            setTimeout(function () {
                $('#sidebarShare li').each(function (index, ele) {
                    $(this).removeClass("_active");
                });
                $('#sidebarShare li').eq(type).addClass("_active");
            }, 400);
        };
        var goToPath = function () {

            if($stateParams.obj == null) return;
                switch ($stateParams.obj.type) {
                    case 1://税界
                        $state.go('taxCommunity');
                        toStyle(0);
                        break;
                    case 2://税享
                        $state.go('taxEnjoyment');
                        toStyle(1);
                        break;
                    case 21://税享详情
                        $state.go('taxShareDetail', {item: $stateParams.obj.item});
                        toStyle(1);
                        break;
                    case 3://国际税制
                        $state.go('internationalTaxSystem');
                        toStyle(2);
                        break;
                    case 4://互动
                        $state.go('internationalInteractive');
                        toStyle(3);
                        break;
                    case 41://互动详情
                        $state.go('interacticeDetail', {item: $stateParams.obj.item});
                        toStyle(3);
                        break;
                }
            }

        ;(function initialize() {
            getMenus();
            if($stateParams.obj == null){
                setTimeout(function () {
                    liLeftStyle(true);
                }, 400)
            }else{
                setTimeout(function () {
                    liLeftStyle(false);
                }, 500);
                goToPath();
            }

        })();
    }]);