package pwc.taxtech.atms.constant.enums;

/**
 * @version 1.0
 * @program: atms
 * @description: 互动类型枚举
 * @author: Kevin
 * @create: 2019-05-21 16:05
 **/
public enum  InteractiveEnum {
    Message(1, "发布留言"),
    Question(2, "发布提问"),
    Vote(3, "发布投票"),
    Task(4, "发布任务");
    ;
    InteractiveEnum(int code, String type) {
        this.code = code;
        this.type = type;
    }

    private int code;
        private String type;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
