package pwc.taxtech.atms.pwc.websocket;

import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.mybatis.spring.SqlSessionUtils;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import pwc.taxtech.atms.common.util.SpringContextUtil;
import pwc.taxtech.atms.dao.InteractionInteractiveSystemMapper;
import pwc.taxtech.atms.entity.InteractionInteractiveSystem;
import pwc.taxtech.atms.entity.InteractionInteractiveSystemExample;

import javax.websocket.Session;

/**
 * @version 1.0
 * @program: atms
 * @description:
 * @author: Kevin
 * @create: 2019-05-24 14:13
 **/
@Component
public class MyThread implements Runnable {
    private int during;
    private boolean stopMe = true;
    private String interActiveId;
    private static final String type = "checkStatus";

    public String getInterActiveId() {
        return interActiveId;
    }

    public void setInterActiveId(String interActiveId) {
        this.interActiveId = interActiveId;
    }

    private static org.slf4j.Logger logger = LoggerFactory.getLogger(MyThread.class);

    public void stopMe() {
        stopMe = false;
    }

    private InteractionInteractiveSystemMapper interactionInteractiveSystemMapper = SpringContextUtil.getBean(InteractionInteractiveSystemMapper.class);
    //private SqlSessionFactory sqlSessionFactory = SpringContextUtil.getBean(SqlSessionFactory.class);
    public void run() {

        //SqlSessionUtils.getSqlSession(sqlSessionFactory).clearCache();
        InteractionInteractiveSystem interactionInteractiveSystem = null;
        while (stopMe) {
            ///sqlSessionFactory.openSession().clearCache();
          /*  InteractionInteractiveSystemExample example = new InteractionInteractiveSystemExample();
            example.createCriteria().andIdEqualTo(interActiveId);*/
            interactionInteractiveSystem  = interactionInteractiveSystemMapper.selectByPrimaryKey(interActiveId);
            WebSocket wbs = new WebSocket(interActiveId, type);
            if (interactionInteractiveSystem != null && interactionInteractiveSystem.getDuring() == 1) {
                logger.info("正在有人操作");
                wbs.onMessage(1);
            } else {
                logger.info("没有人操作");
                wbs.onMessage(0);
            }
            try {
                Thread.sleep(3000);
            } catch (InterruptedException e) {
                // TODO Auto-generated catch block
                e.printStackTrace();
            }
        }
    }
}