package pwc.taxtech.atms.dpo;

import pwc.taxtech.atms.entity.InteractionInteractiveSystem;
import pwc.taxtech.atms.entity.PwcTask;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

/**
 * @author: sam
 * @create: 2019-05-16 21:28
 **/
public class InteractionInteractiveSystemDto extends InteractionInteractiveSystem {

    private Integer  pageIndex;

    private Integer  pageSize;

    private Integer isPraise;

    private int totalVote;

    private String admin;

    public String getAdmin() {
        return admin;
    }

    public void setAdmin(String admin) {
        this.admin = admin;
    }

    private List<PwcTask> pwcTasks;

    public List<PwcTask> getPwcTasks() {
        return pwcTasks;
    }

    public void setPwcTasks(List<PwcTask> pwcTasks) {
        this.pwcTasks = pwcTasks;
    }

    public int getTotalVote() {
        return totalVote;
    }

    public void setTotalVote(int totalVote) {
        this.totalVote = totalVote;
    }

    private List<PwcTicketDto> ticketInfo = new ArrayList<>();

    public List<PwcTicketDto> getTicketInfo() {
        return ticketInfo;
    }

    public void setTicketInfo(List<PwcTicketDto> ticketInfo) {
        this.ticketInfo = ticketInfo;
    }

    private List<InteractionInteractiveCommentDto> commentRecords;

    public List<InteractionInteractiveCommentDto> getCommentRecords() {
        return commentRecords;
    }

    public void setCommentRecords(List<InteractionInteractiveCommentDto> commentRecords) {
        this.commentRecords = commentRecords;
    }

    public Integer getIsPraise() {
        return isPraise;
    }

    public void setIsPraise(Integer isPraise) {
        this.isPraise = isPraise;
    }

    private String  userName;

    private String userId;

    private Integer commentNum;

    private Integer praiseNum;
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
    /*
     *   排序方式
     */
    private Integer orderType;

    /*
     *   是否已读
     */
    private Integer readType;

    public Integer getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(Integer commentNum) {
        this.commentNum = commentNum;
    }

    public Integer getPraiseNum() {
        return praiseNum;
    }

    public void setPraiseNum(Integer praiseNum) {
        this.praiseNum = praiseNum;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getReadType() {
        return readType;
    }

    public void setReadType(Integer readType) {
        this.readType = readType;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
