package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.entity.CustomDateSerializer;
import pwc.taxtech.atms.entity.TaxEmail;

import java.util.Date;
import java.util.List;

/**
 * @author sam
 */
public class TaxEmailDto extends TaxEmail {

    private Integer pageIndex;

    private Integer pageSize;
    /*
     *   当前登录人用户id
     */
    private String userId;

    private String userName;

    private String tagType;

    private List<InteractionShareCommentDto> commentRecords;

    /*
     *   排序方式
     */
    private Integer orderType;

    /*
     *   是否已读
     */
    private Integer readType;

    private Integer commentNum;

    private Integer praiseNum;

    private Integer isPraise;



    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(Integer commentNum) {
        this.commentNum = commentNum;
    }

    public Integer getPraiseNum() {
        return praiseNum;
    }

    public void setPraiseNum(Integer praiseNum) {
        this.praiseNum = praiseNum;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getReadType() {
        return readType;
    }

    public void setReadType(Integer readType) {
        this.readType = readType;
    }

    public List<InteractionShareCommentDto> getCommentRecords() {
        return commentRecords;
    }

    public void setCommentRecords(List<InteractionShareCommentDto> commentRecords) {
        this.commentRecords = commentRecords;
    }

    public Integer getIsPraise() {
        return isPraise;
    }

    public void setIsPraise(Integer isPraise) {
        this.isPraise = isPraise;
    }

    public String getTagType() {
        return  this.tagType == null ? null : tagType.trim();
    }

    public void setTagType(String tagType) {
        this.tagType = tagType;
    }
}
